Skip to main content
GET
JavaScript

Authorizations

X-API-KEY
string
header
required

Headers

Tenant-ID
string

The tenant identifier for multi-tenant organisations. Required when the organisation has multi-tenancy enabled. Pass your own internal customer ID for the tenant. Ignored for single-tenant organisations.

Query Parameters

limit
integer
default:10

Number of records to return.

Required range: 1 <= x <= 100
skip
integer
default:0

Number of records to skip from the start of the list.

Required range: x >= 0

Response

Successful operation

id
string<uuid>
required

The UUID of the leaderboard.

name
string
required

The leaderboard name.

key
string
required

The leaderboard key.

status
enum<string>
required

The current user-facing status of the leaderboard.

Available options:
inactive,
active,
scheduled,
finished
rankBy
enum<string>
required

What the leaderboard ranks by.

Available options:
metric,
streak,
points
maxParticipants
integer | null
required

The maximum number of participants.

start
string<date>
required

The leaderboard start date in YYYY-MM-DD format.

breakdownAttributes
string<uuid>[]
required

The UUIDs of the user attributes used for ranking breakdowns.

description
string

The leaderboard description.

metricId
string<uuid>

The metric ID used when rankBy is metric.

pointsSystemId
string<uuid>

The points system ID used when rankBy is points.

end
string<date>

The optional leaderboard end date in YYYY-MM-DD format.

startTime
string

When set, ranking only counts activity at or after this time of day in the user's timezone (HH:mm format).

Pattern: ^([01][0-9]|2[0-3]):[0-5][0-9](:[0-5][0-9])?$
Example:

"09:00"

endTime
string

When set, ranking only counts activity before this time of day in the user's timezone (HH:mm format).

Pattern: ^([01][0-9]|2[0-3]):[0-5][0-9](:[0-5][0-9])?$
Example:

"17:00"

runUnit
enum<string>

The recurrence unit when the leaderboard repeats.

Available options:
day,
month,
year
runInterval
integer

The number of recurrence units between leaderboard runs.